# Please do not modify or remove this file. It enables the pedal owner
# to download software updates to the pedal.

# Power-up sequence options:
# 1. Tap tempo switch NOT pressed:
#    LED goes blue (1 second), red (1 second), blue (1 second)
#    The user can write files (e.g. a firmware update) to the pedal.
# 2. Tap tempo switch pressed
#    LED goes blue (1 second), green (1 second), blue (1 second)
#    The pedal can make backups of the waveforms which the user
#    can copy from the board via the USB connection.

import time
import board
import digitalio
import storage
from adafruit_dotstar import DotStar

dotStar = DotStar(board.APA102_SCK, board.APA102_MOSI, 1)
dotStar.brightness = 1.0

# Make the board user-writeable by connecting the switch pin to ground
switch = digitalio.DigitalInOut(board.D7)
switch.direction = digitalio.Direction.INPUT
switch.pull = digitalio.Pull.UP

isUserWriteable = switch.value

if isUserWriteable:
	dotStar[0] = 0x0000ff
	time.sleep(1.0)
	# red LED to indicate user-writeable
	dotStar[0] = 0xff0000
	time.sleep(1.0)
else:
	dotStar[0] = 0x0000ff
	time.sleep(1.0)
	# green LED to indicate board-writeable
	storage.remount("/", False)
	dotStar[0] = 0x00ff00
	time.sleep(1.0)

dotStar[0] = 0x0000ff
time.sleep(1.0)

switch = None
